/*doyolab_IoT.cpp - Library for doyolabIoTservice.
  Created by Daisuke DOYO, November 21, 2020.
  Released into the local domain.*/

#include "Arduino.h"
#include <HTTPClient.h>
#include "doyolab_IoT.h"


doyolab_IoT::doyolab_IoT(String usr_key,String sub_id){
    _usr_key=usr_key;
    _sub_id=sub_id;
}


String doyolab_IoT::turn_switch(){
    String ret;
    _host="https://doyolab.net/appli/iot/onoff";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "user_key="+_usr_key+"&sub_id="+_sub_id;
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String doyolab_IoT::switch_status(){
    String ret;
    _host="https://doyolab.net/appli/iot/get_onoff";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "user_key="+_usr_key+"&sub_id="+_sub_id;
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String doyolab_IoT::send_data(String idata, String fdata,String tdata){
    String ret;
    _host="https://doyolab.net/appli/iot/add";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "user_key="+_usr_key+"&sub_id="+_sub_id;
    if(idata!="") {
        params=params+"&int_data="+ idata;
    }
    if(fdata!="") {
        params=params+"&float_data="+ fdata;
    }
    if(tdata!="") {
        params=params+"&text_data="+ tdata;
    }
    
//    String params= "user_key="+user_key+"&sub_id="+sub_id+"&int_data="+ String(idata);
//        +"&float_data="+ String(fdata)+"&text_data="+ tdata;
    
    
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String doyolab_IoT::send_To_LINE(String token,String msg){
    String ret;
    _host="https://doyolab.net/appli/iot/line";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "token="+token+"&message="+msg;
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
